/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CreateClaimRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CreateClaimRequest {
  @SerializedName("general_information")
  private GeneralInformation generalInformation = null;

  @SerializedName("appliance_claim_information")
  private ApplianceClaimInformation applianceClaimInformation = null;

  public CreateClaimRequest generalInformation(GeneralInformation generalInformation) {
    this.generalInformation = generalInformation;
    return this;
  }

   /**
   * Get generalInformation
   * @return generalInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public GeneralInformation getGeneralInformation() {
    return generalInformation;
  }

  public void setGeneralInformation(GeneralInformation generalInformation) {
    this.generalInformation = generalInformation;
  }

  public CreateClaimRequest applianceClaimInformation(ApplianceClaimInformation applianceClaimInformation) {
    this.applianceClaimInformation = applianceClaimInformation;
    return this;
  }

   /**
   * Get applianceClaimInformation
   * @return applianceClaimInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public ApplianceClaimInformation getApplianceClaimInformation() {
    return applianceClaimInformation;
  }

  public void setApplianceClaimInformation(ApplianceClaimInformation applianceClaimInformation) {
    this.applianceClaimInformation = applianceClaimInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateClaimRequest createClaimRequest = (CreateClaimRequest) o;
    return Objects.equals(this.generalInformation, createClaimRequest.generalInformation) &&
        Objects.equals(this.applianceClaimInformation, createClaimRequest.applianceClaimInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(generalInformation, applianceClaimInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateClaimRequest {\n");
    
    sb.append("    generalInformation: ").append(toIndentedString(generalInformation)).append("\n");
    sb.append("    applianceClaimInformation: ").append(toIndentedString(applianceClaimInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

